%define product		PlonePAS
%define realVersion     2.2
%define release         1

%define version %(echo %{realVersion} | sed -e 's/-/./g')

%define zope_minver	2.7
%define plone_minver	2.0

%define zope_home	%{_prefix}/lib/zope
%define software_home	%{zope_home}/lib/python

Summary:	This product adapts the PluggableAuthService for use by Plone
Name:		zope-%{product}
Version:	%{version}
Release:	%mkrel %{release}
License:	GPL
Group:		System/Servers
Source:		http://plone.org/products/plonepas/releases/%{version}/PlonePAS-%{realVersion}.tar.bz2
URL:		http://plone.org/products/plonepas
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch
Requires:	zope >= %{zope_minver}
Requires:	plone >= %{plone_minver}

Provides:	plone-Faq == %{version}
Obsoletes:	zope-Faq


%description
This product adapts the PluggableAuthService for use by Plone. PAS is a
UserFolder replacement that allows any part of its functionality to be augmented
or replaced by simple plugins. The architecture allows for customizers to adapt
any aspect of membership?memberdata, groups, roles, user, authentication
strategy and many other aspects of user data source integration. It is also
shared between Zope Corp. products, CPS and now Plone.

%prep
%setup -c

%build
# Not much, eh? :-)


%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/%{software_home}/Products
%{__cp} -a %{product} %{buildroot}%{software_home}/Products/%{product}


%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
	service zope restart
fi

%postun
if [ -f "%{_prefix}/bin/zopectl" ] && [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
	service zope restart
fi

%files
%defattr(0644, root, root, 0755)
%{software_home}/Products/*


%changelog
* Fri Jan 19 2007 Gaëtan Lehmann <glehmann@mandriva.org> 2.2-1mdv2007.0
+ Revision: 110583
- 2.2

* Tue Dec 19 2006 Gaëtan Lehmann <glehmann@mandriva.org> 2.1-1mdv2007.1
+ Revision: 99967
- 2.1

* Tue Aug 08 2006 Gaëtan Lehmann <glehmann@mandriva.org> 2.0.1-1mdv2007.0
+ Revision: 54445
- Import zope-PlonePAS

